package com.example.ellegadodepintia

import android.content.Intent
import android.graphics.Color
import android.os.Bundle
import android.widget.ImageButton
import androidx.appcompat.app.AppCompatActivity
import androidx.recyclerview.widget.LinearLayoutManager
import androidx.recyclerview.widget.RecyclerView
import com.example.ellegadodepintia.repositorios.RepositorioJugador
import com.example.ellegadodepintia.soundManager.SoundManager
class LeaderboardActivity : AppCompatActivity() {
    private lateinit var soundManager: SoundManager
    override fun onCreate(savedInstanceState: Bundle?) {
        soundManager = SoundManager(this)
        soundManager.playSoundLoop(R.raw.sound_leader,100)
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_leaderboard)

        val mapButton: ImageButton = findViewById(R.id.mapButton)

        val shopButton: ImageButton = findViewById(R.id.logoutButton)

        mapButton.setBackgroundColor(Color.TRANSPARENT)

        shopButton.setBackgroundColor(Color.TRANSPARENT)

        mapButton.setOnClickListener{
            val intent = Intent(this, MapActivity::class.java)
            startActivity(intent)
        }

        RepositorioJugador.cargarJugadores { jugadores ->
            val recyclerView: RecyclerView = findViewById(R.id.leaderboardRecyclerView)
            recyclerView.layoutManager = LinearLayoutManager(this)
            recyclerView.adapter = LeaderboardAdapter(jugadores)
        }
    }

    override fun onDestroy() {
        super.onDestroy()
        soundManager.stopSound()
    }

    override fun onPause() {
        super.onPause()
        soundManager.stopSound()
    }
    override fun onBackPressed() {
        if(1 == 2) {
            super.onBackPressed()
        }
    }
}
