package com.example.ellegadodepintia.minijuego1

import android.content.Intent
import android.os.Bundle
import android.widget.ImageView
import androidx.appcompat.app.AppCompatActivity
import com.example.ellegadodepintia.R
import android.view.animation.AnimationUtils
import com.example.ellegadodepintia.soundManager.SoundManager
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.Button
import androidx.fragment.app.DialogFragment

class InicioMinijuego1 : AppCompatActivity() {

    private lateinit var titulo: ImageView
    private lateinit var soundManager: SoundManager
    override fun onCreate(savedInstanceState: Bundle?) {
        soundManager = SoundManager(this)
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_iniciominijuego1)

        // Encuentra el botón en el layout
        titulo = findViewById(R.id.titleImage)
        val startButton: ImageView = findViewById(R.id.startButton)
        val animation = AnimationUtils.loadAnimation(this, R.anim.animatitu)
        titulo.startAnimation(animation)

        // Define el comportamiento cuando se hace clic en el botón
        startButton.setOnClickListener {
            soundManager.playSound(R.raw.sound_button,100)
            // Intent para iniciar una nueva actividad (supongamos que tienes una Activity llamada GameActivity)
            val intent = Intent(this, Minijuego1::class.java)
            startActivity(intent)
            finish()
        }
        val tutorialButton = findViewById<ImageView>(R.id.tutorial)
        tutorialButton.setOnClickListener {
            // Mostrar el modal
            val modal = ModalFragment()
            modal.show(supportFragmentManager, "ModalFragment")
        }
    }
    override fun onBackPressed() {
        val flag = intent.getBooleanExtra("FLAG_KEY", false)
        if (flag){
            super.onBackPressed()
        }
    }
}

class ModalFragment : DialogFragment() {

    override fun onCreateView(
        inflater: LayoutInflater, container: ViewGroup?,
        savedInstanceState: Bundle?
    ): View? {
        // Inflar el diseño del modal
        val view = inflater.inflate(R.layout.modal_minijuego1_tutorial, container, false)

        // Configurar el botón de cerrar
        val closeButton = view.findViewById<Button>(R.id.cerrar)
        closeButton.setOnClickListener {
            dismiss() // Cierra el modal
        }

        return view
    }
}
